<?xml version="1.0"?>
<launch>
  <!-- We resume the logic in empty_world.launch, changing only the name of the world to be launched -->
  <!-- <include file="$(find gazebo_ros)/launch/empty_world.launch">
    <arg name="paused" value="false"/>
    <arg name="use_sim_time" value="true"/>
    <arg name="gui" value="false"/>
    <arg name="recording" value="false"/>
    <arg name="debug" value="false"/>
  </include>-->
  
      <arg name="activate_rviz" default="False"/>

    <node if="$(arg activate_rviz)" name="rviz" pkg="rviz" type="rviz" args="-d $(find human_control )/rviz/human_control.rviz" />

    <param name="robot_description" command="$(find xacro)/xacro /home/elandais/catkin_ws/src/human_control/description/two_arms_only_marksScaledPlaced/two_arms_only_marksScaledPlaced_aCol.urdf.xacro"/>

    <rosparam file="/home/elandais/catkin_ws/src/human_control/config/two_arms_only_marksScaledPlaced_control.yaml" command="load"/>
 
    <node name="robot_state_publisher" pkg="robot_state_publisher" type="robot_state_publisher" respawn="false" output="screen">
        <remap from="/joint_states" to="/two_arms_only_marksScaledPlaced/joint_states" />
    </node>

    <node name="joint_state_publisher" pkg="joint_state_publisher" type="joint_state_publisher" respawn="false" output="screen">
        <remap from="/joint_states" to="/two_arms_only_marksScaledPlaced/joint_states" />
        <param name="use_gui" value="true" />
        <rosparam param="source_list">["/Q_pub"]</rosparam>
    </node>

    <node name="controller_spawner" pkg="controller_manager" type="spawner" respawn="false" output="screen" ns="/two_arms_only_marksScaledPlaced" args="torso_tx_position_controller torso_ty_position_controller torso_tz_position_controller torso_tilt_position_controller torso_list_position_controller torso_rotation_position_controller arm_flex_r_position_controller arm_add_r_position_controller arm_rot_r_position_controller elbow_flex_r_position_controller pro_sup_r_position_controller arm_flex_l_position_controller arm_add_l_position_controller arm_rot_l_position_controller elbow_flex_l_position_controller pro_sup_l_position_controller  joint_state_controller"/>

    <node name="spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-file /home/elandais/catkin_ws/src/human_control/description/two_arms_only_marksScaledPlaced/two_arms_only_marksScaledPlaced_aCol.urdf.xacro -urdf -x 0 -y 0 -z 2 -model two_arms_only_marksScaledPlaced" />

</launch>